首页 » 网络应用 » 在Linux系统中为PHP5.x安装Zend Guard Loader

在Linux系统中为PHP5.x安装Zend Guard Loader

 

从PHP5.3开始如果要支持ZendGuard加密的PHP代码,必须安装Zend Guard Loader,老的zend optimizer将不被支持,如使用了ZendGuard加密的PHP代码的网站,而没有安装Zend Guard Loader,就会出现下图错误(Zend Guard Run-time support missing!):
1
本文介绍如何在Linux系统中为PHP5.3安装Zend Guard Loader支持的过程。
 
我的操作系统为CentOS6.3,PHP版本为5.3.27:
 
1、Zend Guard Loader官方下载地址:
i386版下载地址:
http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz
x86_64版下载地址:
http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz
 
2、执行下面5条命令,从Zend.com下载最新的Zend Guard Loader到Linux服务器并解压缩:

1
2
3
4
5
cd /opt
wget http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz
tar zxvf ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz
cd /opt/ZendGuardLoader-php-5.3-linux-glibc23-x86_64/php-5.3.x
cp ZendGuardLoader.so /usr/local/php/

3、用vi命令编辑php.ini配置文件(或者下载到本地修改后再上传覆盖),末尾增加[zend.loader]组件支持。

1
2
3
[zend.loader]
zend_loader.enable=1
zend_extension=/usr/local/php/ZendGuardLoader.so

4、重启apache或者nginx服务,使配置生效。
 
5、然后输入php -v命令查看Zend Guard Loader是否安装成功。

1
2
3
4
5
    [root@root]# php -v
    PHP 5.3.27 (cli) (built: Feb 22 2013 02:37:06)
    Copyright (c) 1997-2010 The PHP Group
    Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies

注意:出现with Zend Guard Loader v3.3出现表示安装成功,如果没有则安装失败。

原文链接:在Linux系统中为PHP5.x安装Zend Guard Loader,转载请注明来源!

2